# mkdir

## Description

Create a directory.

## Parameters

directory
  Description: Directory to be created

  Domain: Valid directoryname or path

  Default: -

## RNG Specification

      <define name="mkdir">
        <element name="mkdir">
          <ref name="dir_if_unless"/>
          <attribute name="directory"/>
        </element>
      </define>

## Examples

      <mkdir directory="out"/>

      <mkdir directory="some/new/directory"/>